<?php 
if(!empty($menu_items_pion))
{
	echo '<div class="left_menu">';
	//2 poziomowe drzewko	
	//print_r($menu_items_pion);
	
	$art_id = $this->uri->segment(3);
	//echo $art_id;
	
	$art_from_menu = null;
	$menu_id = null;
	$parent = null;
	
	if(!empty($art_id))
	{
		//sprawdzenie czy artykul jest z menu pionowego i czy jest parentem	
	
		foreach($menu_items_pion as $item)
		{	
			if($art_id==$item['idelement'])
			{
				$art_from_menu=$art_id;
				$menu_id = $item['idmenu_items']; 
				$parent = $item['idparent'];
			}
		}

		//echo $art_from_menu.'--';
		//echo $parent.'<br /><br />';
		$line_submenu=0;	
		$line_menu=0;
		
		foreach($menu_items_pion as $item)
		{
			//jezeli artykul z menu jest parentem
			if(!empty($art_from_menu) && empty($parent))
			{ 
				if($art_from_menu==$item['idelement'])
				{ 						
					if($line_submenu!=0) echo '<div class="padding_line"><div class="green_line"> </div></div>';
					$line_submenu++; 
									
					echo '<a class="pion_menu_selected" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';					
				}				
				
				if($menu_id==$item['idparent'])
				{ 
					echo '<a class="pion_submenu" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';
					
					$line_submenu++;
					//if($line_submenu == 5) echo '<div class="padding_line"><div class="green_line"> </div></div>';
					
				}
				
				if(empty($item['idparent']) && $art_from_menu!=$item['idelement'])				
				{ 
					if($line_submenu!=0) echo '<div class="padding_line"><div class="green_line"> </div></div>';
					$line_submenu++; 	
				
					echo '<a class="pion_menu" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';													
				}
			}
			
			//jezeli artykul jest z menu i jest z submenu
			if(!empty($art_from_menu) && !empty($parent))
			{ 
				if($art_from_menu==$item['idelement'])
				{ 
					echo '<a class="pion_submenu_selected" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';
					//echo '<div class="padding_line"><div class="green_line"> </div></div>';
				}				
				
				if($parent==$item['idparent'] && $art_from_menu!=$item['idelement'])
				{ 
					echo '<a class="pion_submenu" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';					
				}
				
				if(empty($item['idparent']))
				{ 	
					if($line_submenu!=0) echo '<div class="padding_line"><div class="green_line"> </div></div>';
					$line_submenu++;
					
					echo '<a class="pion_menu" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';
					//echo '<div class="padding_line"><div class="green_line"> </div></div>';
				}
			}
			
			//jzeliartykul z menu nie jest ani parentem ani submenu
			if(empty($art_from_menu))
			{ 				
				if(empty($item['idparent']))
				{ 
					echo '<a class="pion_menu" href="'.$item['friendlyurl'].'-'.$item['idelement'].'.html">'.$item['elementname'].'</a>';
													
					$line_submenu++;
					if($line_submenu != $menu_pion_parents) echo '<div class="padding_line"><div class="green_line"> </div></div>';
				}
			}
			
		}
	}
	
	echo '</div>';
}?>